{
  "name": "trainzconfigurator",
  "version": "0.0.2-alpha.1",
  "description": "Générateur de configuration pour contenue Trainz Simulator",
  "main": "main.js",
  "scripts": {
    "start": "electron .",
    "dev": "electron . --debug",
    "package": "npm run development",
    "watch": "npm run development -- --watch",
    "development": "cross-env NODE_ENV=development node_modules/webpack/bin/webpack.js --progress --hide-modules --config=node_modules/laravel-mix/setup/webpack.config.js",
    "build": "node_modules/.bin/build -p always"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/trainznation/application/configurator.git"
  },
  "author": "Maxime Mockelyn <mmockelyn@gmail.com>",
  "license": "UNLICENSED",
  "bugs": {
    "url": "https://gitlab.com/trainznation/application/configurator/issues"
  },
  "homepage": "https://gitlab.com/trainznation/application/configurator#readme",
  "devDependencies": {
    "electron": "^10.1.3",
    "electron-builder": "^20.44.4",
    "laravel-mix": "^5.0.5",
    "node-sass": "^4.14.1",
    "resolve-url-loader": "^3.1.0",
    "sass": "^1.26.11",
    "sass-loader": "^10.0.2",
    "webpack": "^4.44.2",
    "webpack-livereload-plugin": "^2.3.0"
  },
  "dependencies": {
    "@fortawesome/fontawesome": "^1.1.8",
    "@fortawesome/free-solid-svg-icons": "^5.15.0",
    "bootstrap": "^4.5.2",
    "cross-env": "^7.0.2",
    "datatables.net": "^1.10.22",
    "datatables.net-buttons": "^1.6.4",
    "datatables.net-dt": "^1.10.22",
    "electron-db": "^0.15.7",
    "electron-log": "^4.2.4",
    "electron-updater": "^4.3.4",
    "electron-util": "^0.14.2",
    "jquery": "^3.5.1",
    "jquery-ui": "^1.12.1",
    "jquery.repeater": "^1.2.1",
    "moment": "^2.29.0",
    "papaparse": "^5.3.0",
    "simple-loading-bar": "^1.1.0",
    "slugify": "^1.4.5"
  },
  "build": {
    "publish": [
      {
        "provider": "generic",
        "url": "https://download.trainznation.tk/apps/configurator"
      }
    ],
    "productName": "Trainz-Configurator",
    "appId": "tk.trainznation.trainzconfigurator",
    "directories": {
      "buildResources": "build",
      "output": "dist"
    },
    "win": {
      "target": "nsis",
      "icon": "build/configtrainz.ico"
    },
    "mac": {
      "target": [
        "zip",
        "dmg"
      ]
    },
    "nsis": {
      "perMachine": false,
      "oneClick": false,
      "allowElevation": true,
      "allowToChangeInstallationDirectory": true,
      "uninstallDisplayName": "${productName} ${version}",
      "artifactName": "${productName}-Setup-${version}.${ext}",
      "deleteAppDataOnUninstall": true,
      "differentialPackage": true,
      "displayLanguageSelector": false,
      "multiLanguageInstaller": false,
      "unicode": true,
      "warningsAsErrors": true,
      "runAfterFinish": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true,
      "menuCategory": false,
      "shortcutName": "Trainz Configurator"
    }
  }
}
